Loading...
Searching...
No Matches
Catch::ExprLhs< LhsT > Class Template Reference

`#include <catch_amalgamated.hpp>`

## Public Member Functions

constexpr | ExprLhs (LhsT lhs)
constexpr auto | makeUnaryExpr () const -> UnaryExpr< LhsT >

## Private Attributes

LhsT | m_lhs

## Friends

template<typename RhsT>
auto | operator&& (ExprLhs &&, RhsT &&) -> BinaryExpr< LhsT, RhsT const & >
template<typename RhsT>
auto | operator|| (ExprLhs &&, RhsT &&) -> BinaryExpr< LhsT, RhsT const & >

## Constructor & Destructor Documentation

## ExprLhs()

template<typename LhsT>

Catch::ExprLhs< LhsT >::ExprLhs | ( | LhsT | lhs | ) |

inlineexplicitconstexpr

Here is the caller graph for this function:

## Member Function Documentation

## makeUnaryExpr()

template<typename LhsT>

auto Catch::ExprLhs< LhsT >::makeUnaryExpr | ( |  | ) | const -> UnaryExpr<LhsT>

inlineconstexpr

Here is the caller graph for this function:

## Friends And Related Symbol Documentation

## operator&&

template<typename LhsT>
template<typename RhsT>

auto operator&& | ( | ExprLhs< LhsT > && | ,
|  | RhsT && | ) -> BinaryExpr<LhsT, RhsT const&>

friend

## operator||

template<typename LhsT>
template<typename RhsT>

auto operator|| | ( | ExprLhs< LhsT > && | ,
|  | RhsT && | ) -> BinaryExpr<LhsT, RhsT const&>

friend

## Member Data Documentation

## m_lhs

template<typename LhsT>

LhsT Catch::ExprLhs< LhsT >::m_lhs

private

The documentation for this class was generated from the following file:

- tests/vendor/catch_amalgamated.hpp